#55 8139too doesn't detect media

important
closed-duplicate
Jeff Garzik
8139too (65)
5
2001-11-01
2001-08-28
Anonymous
No

Hi,
I'm using 2.4.7 kernel SMP an a Realtek 8139B adapter.
It just works fine, but the transferrate is stuck low
around 8kb/s.
I tried to debug this problem so I ran mii-tool an it
says: "eth0: 10 Mbit, half duplex, no link", but my
net-connection works.
Am I only to stupid or is this a real bug ??
-------------------------------------------------
output of lspci -vvv:
----
00:00.0 Host bridge: Intel Corporation 440BX/ZX -
82443BX/ZX Host bridge (rev 03)
Control: I/O- Mem+ BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap+ 66Mhz- UDF- FastB2B- ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR-
Latency: 32
Region 0: Memory at d8000000 (32-bit,
prefetchable) [size=64M]
Capabilities: [a0] AGP version 1.0
Status: RQ=31 SBA+ 64bit- FW-
Rate=x1,x2
Command: RQ=0 SBA- AGP+ 64bit- FW-
Rate=x2

00:01.0 PCI bridge: Intel Corporation 440BX/ZX -
82443BX/ZX AGP bridge (rev 03) (prog-if 00 [Normal
decode])
Control: I/O+ Mem+ BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
Status: Cap- 66Mhz+ UDF- FastB2B- ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 64
Bus: primary=00, secondary=01,
subordinate=01, sec-latency=32
I/O behind bridge: 0000f000-00000fff
Memory behind bridge: dc000000-ddffffff
Prefetchable memory behind bridge:
d0000000-d7ffffff
BridgeCtl: Parity- SERR- NoISA- VGA+ MAbort-
>Reset- FastB2B+

00:07.0 ISA bridge: Intel Corporation 82371AB PIIX4
ISA (rev 02)
Control: I/O+ Mem+ BusMaster+ SpecCycle+
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 0

00:07.1 IDE interface: Intel Corporation 82371AB
PIIX4 IDE (rev 01) (prog-if 80 [Master])
Control: I/O+ Mem- BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 32
Region 4: I/O ports at f000 [size=16]

00:07.2 USB Controller: Intel Corporation 82371AB
PIIX4 USB (rev 01) (prog-if 00 [UHCI])
Control: I/O+ Mem- BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 32
Interrupt: pin D routed to IRQ 19
Region 4: I/O ports at c000 [size=32]

00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI
(rev 02)
Control: I/O+ Mem+ BusMaster- SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Interrupt: pin ? routed to IRQ 9

00:09.0 Multimedia video controller: 3Dfx
Interactive, Inc. Voodoo (rev 02)
Control: I/O- Mem+ BusMaster- SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Region 0: Memory at de000000 (32-bit,
prefetchable) [size=16M]

00:0b.0 Ethernet controller: Realtek Semiconductor
Co., Ltd. RTL-8139 (rev 10)
Subsystem: Realtek Semiconductor Co., Ltd.
RT8139
Control: I/O+ Mem+ BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 32 (8000ns min, 16000ns max)
Interrupt: pin A routed to IRQ 18
Region 0: I/O ports at c400 [size=256]
Region 1: Memory at e0001000 (32-bit,
non-prefetchable) [size=256]

00:0d.0 SCSI storage controller: Symbios Logic Inc.
(formerly NCR) 53c810 (rev 02)
Control: I/O+ Mem+ BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 32
Interrupt: pin A routed to IRQ 17
Region 0: I/O ports at c800 [size=256]
Region 1: Memory at e0000000 (32-bit,
non-prefetchable) [size=256]

00:11.0 Multimedia audio controller: Creative Labs SB
Live! EMU10000 (rev 07)
Subsystem: Creative Labs CT4830 SBLive! Value
Control: I/O+ Mem- BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 32 (500ns min, 5000ns max)
Interrupt: pin A routed to IRQ 19
Region 0: I/O ports at cc00 [size=32]
Capabilities: [dc] Power Management version 1
Flags: PMEClk- DSI- D1+ D2+
AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
Status: D0 PME-Enable- DSel=0
DScale=0 PME-

00:11.1 Input device controller: Creative Labs SB
Live! (rev 07)
Subsystem: Creative Labs Gameport Joystick
Control: I/O+ Mem- BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 32
Region 0: I/O ports at d000 [size=8]
Capabilities: [dc] Power Management version 1
Flags: PMEClk- DSI- D1+ D2+
AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
Status: D0 PME-Enable- DSel=0
DScale=0 PME-

00:13.0 Unknown mass storage controller: Triones
Technologies, Inc. HPT366 (rev 01)
Control: I/O+ Mem- BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 120 (2000ns min, 2000ns max), cache
line size 08
Interrupt: pin A routed to IRQ 18
Region 0: I/O ports at d400 [size=8]
Region 1: I/O ports at d800 [size=4]
Region 4: I/O ports at dc00 [size=256]
Expansion ROM at <unassigned> [disabled]
[size=128K]

00:13.1 Unknown mass storage controller: Triones
Technologies, Inc. HPT366 (rev 01)
Control: I/O+ Mem+ BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap- 66Mhz- UDF- FastB2B- ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 120 (2000ns min, 2000ns max), cache
line size 08
Interrupt: pin B routed to IRQ 18
Region 0: I/O ports at e000 [size=8]
Region 1: I/O ports at e400 [size=4]
Region 4: I/O ports at e800 [size=256]

01:00.0 VGA compatible controller: nVidia Corporation
NV11 (rev a1) (prog-if 00 [VGA])
Control: I/O+ Mem+ BusMaster+ SpecCycle-
MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr-
DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
Latency: 248 (1250ns min, 250ns max)
Interrupt: pin A routed to IRQ 16
Region 0: Memory at dc000000 (32-bit,
non-prefetchable) [size=16M]
Region 1: Memory at d0000000 (32-bit,
prefetchable) [size=128M]
Expansion ROM at <unassigned> [disabled]
[size=64K]
Capabilities: [60] Power Management version 2
Flags: PMEClk- DSI- D1- D2-
AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
Status: D0 PME-Enable- DSel=0
DScale=0 PME-
Capabilities: [44] AGP version 2.0
Status: RQ=31 SBA- 64bit- FW+
Rate=x1,x2
Command: RQ=31 SBA- AGP+ 64bit- FW-
Rate=x2

-------------------------------------------------
output of rtl8139-diag
----
rtl8139-diag.c:v2.01 1/8/2001 Donald Becker
(becker@scyld.com)
http://www.scyld.com/diag/index.html
Index #1: Found a RealTek RTL8139 adapter at 0xc400.
RealTek chip registers at 0xc400
0x000: d91c0000 00009608 80000000 00000000 0008a0f8
0008a0ff 0008a0f8 0008a0ff
0x020: 0b2e6000 0b2e6600 0b2e6c00 0b2e7200 0b270000
0d000000 0000fff0 0000c07f
0x040: 78000600 0e00f78e 9319f7c1 00000000 004c10c6
00000000 0080c100 00100000
0x060: 2100f00f 05e1780d 00000000 00000000 00000000
000307c8 58fab388 a438d843.
No interrupt sources are pending.
The chip configuration is 0x10 0x4c, MII full-duplex
mode.
EEPROM size test returned 6, 0x204a4 / 0x2.
Parsing the EEPROM of a RealTek chip:
PCI IDs -- Vendor 0x10ec, Device 0x8139, Subsystem
0x10ec.
PCI timer settings -- minimum grant 32, maximum
latency 64.
General purpose pins -- direction 0xc1 value 0x21.
Station Address 00:00:1C:D9:08:96.
Configuration register 0/1 -- 0x4c / 0xc2.
EEPROM active region checksum is 0810.
EEPROM contents:
8129 10ec 8139 10ec 8139 4020 c121 0000
d91c 9608 4c10 07c2 8001 b388 58fa 0708
d843 a438 d843 a438 d843 a438 d843 a438
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
The word-wide EEPROM checksum is 0xef21.

----------------------------------------------
I hope you can help me with this problem.

mfg carsten

p.s. I'm sorry for mv bad english, I'm german

Discussion

  • Jeff Garzik
    Jeff Garzik
    2001-09-22

    • assigned_to: nobody --> jgarzik
     
  • Jeff Garzik
    Jeff Garzik
    2001-11-01

    • status: open --> closed-duplicate